package com.mdd.admin.validate.album;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.List;
import javax.validation.constraints.NotNull;

@ApiModel("附件移动参数")
public class AlbumMoveValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty(
      value = "附件ID",
      required = true
   )
   private @NotNull(
   message = "ids参数缺失"
) List<Integer> ids;
   @ApiModelProperty(
      value = "类目ID",
      required = true
   )
   private @NotNull(
   message = "cid参数缺失"
) Integer cid;

   public @NotNull(
   message = "ids参数缺失"
) List<Integer> getIds() {
      return this.ids;
   }

   public @NotNull(
   message = "cid参数缺失"
) Integer getCid() {
      return this.cid;
   }

   public void setIds(@NotNull(
   message = "ids参数缺失"
) List<Integer> ids) {
      this.ids = ids;
   }

   public void setCid(@NotNull(
   message = "cid参数缺失"
) Integer cid) {
      this.cid = cid;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AlbumMoveValidate)) {
         return false;
      } else {
         AlbumMoveValidate other = (AlbumMoveValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$cid = this.getCid();
            Object other$cid = other.getCid();
            if (this$cid == null) {
               if (other$cid != null) {
                  return false;
               }
            } else if (!this$cid.equals(other$cid)) {
               return false;
            }

            Object this$ids = this.getIds();
            Object other$ids = other.getIds();
            if (this$ids == null) {
               if (other$ids != null) {
                  return false;
               }
            } else if (!this$ids.equals(other$ids)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof AlbumMoveValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $cid = this.getCid();
      result = result * 59 + ($cid == null ? 43 : $cid.hashCode());
      Object $ids = this.getIds();
      result = result * 59 + ($ids == null ? 43 : $ids.hashCode());
      return result;
   }

   public String toString() {
      return "AlbumMoveValidate(ids=" + this.getIds() + ", cid=" + this.getCid() + ")";
   }
}
